package eu.dnetlib.data.collector.plugins.ariadneplus;

import com.google.common.collect.Lists;

import eu.dnetlib.data.collector.plugins.HttpSimpleCollectorPlugin;
import eu.dnetlib.data.collector.plugins.oai.engine.HttpConnector;
import eu.dnetlib.rmi.data.CollectorServiceException;
import eu.dnetlib.rmi.data.InterfaceDescriptor;
import org.junit.Assert;
import org.junit.Before;
import org.junit.Ignore;
import org.junit.Test;

@Ignore
public class MappingDownloadTest {

	private InterfaceDescriptor apiDescriptor;
	private HttpSimpleCollectorPlugin plugin;
	private HttpConnector connector;

	@Before
	public void prepare(){
		connector = new HttpConnector();
		plugin = new HttpSimpleCollectorPlugin();
		plugin.setHttpConnector(connector);
		apiDescriptor = new InterfaceDescriptor();

	}

	@Test
	public void test() throws CollectorServiceException {
		apiDescriptor.setBaseUrl("http://data.d4science.org/em1EemhBdUZ0bjNGTWJNNjlxVDltcm9acDFmMHlBSVVHbWJQNStIS0N6Yz0");
		Iterable<String> res = plugin.collect(apiDescriptor, null, null);
		Assert.assertTrue(Lists.newArrayList(res).size() == 1);
		for(String r : res){
			System.out.println(r);
			Assert.assertNotNull(r);
		}
	}

}
