package eu.dnetlib.data.collector.plugins.ariadneplus.ads;

import java.util.List;
import java.util.stream.Stream;

import org.junit.Assert;
import org.junit.Test;

import com.google.common.base.Function;
import com.google.common.collect.Iterables;


public class MultipleIteratorTest {

	@Test
	public void mergeIterators() {
	
		final List<String> urls = null;
		Iterables.concat(Iterables.transform(urls, new Function<String, Iterable<String>>() {

			@Override
			public Iterable<String> apply(final String url) {
				Stream<String> a = Stream.of("1", "2");
				try {
					return null;
				} catch (final Exception e) {
					throw new RuntimeException(String.format("unable to iterate over %s", url), e);
				}
			}
		})).iterator();
		Assert.assertNotNull("");
	}
}
