package eu.dnetlib.data.collector.plugins.ariadneplus.ehri;

import org.junit.Test;

/**
 * Created by Alessia Bardi on 13/06/2017.
 *
 * @author Alessia Bardi
 */
public class EHRIIteratorTest {


	private EHRIIterator ehriIterator = new EHRIIterator(null, null, null);
	final String test = "<ead xmlns=\"urn:isbn:1-931666-22-9\"\n"
			+ "\txmlns:xlink=\"http://www.w3.org/1999/xlink\"\n"
			+ "\txmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\"\n"
			+ "\txsi:schemaLocation=\"urn:isbn:1-931666-22-9 http://www.loc.gov/ead/ead.xsd\">\n"
			+ "  <eadheader xmlns=\"\"\n"
			+ "\tcountryencoding=\"iso3166-1\"\n"
			+ "\tdateencoding=\"iso8601\"\n"
			+ "\trelatedencoding=\"DC\"\n"
			+ "\trepositoryencoding=\"iso15511\"\n"
			+ "\tscriptencoding=\"iso15924\">\n"
			+ "      <eadid>us-005578-irn516886</eadid>\n"
			+ "\t</eadheader>\n"
			+ "\t</ead>";

	@Test
	public void testRemoveDefaultEADNamespace(){
		System.out.println(ehriIterator.removeDefaultEADNamespace(test));
	}
}
